<h2 class="title">Employee creation form</h2>

<form class="form" [formGroup]="employeeForm">
    <div class="form__items">
        <mat-form-field class="form__item" appearance="fill" hintLabel="Max 20 characters">
            <mat-label>Identification number</mat-label>
            <input #idnumber matInput maxlength="20" formControlName="idNumber">
            <mat-hint align="end">{{idnumber.value.length}}/20</mat-hint>
        </mat-form-field>
        <mat-form-field class="form__item" appearance="fill" hintLabel="Max 20 characters">
            <mat-label>Frist surname</mat-label>
            <input #fsurname matInput maxlength="20" id="fristSurname" formControlName="fristSurname" required="true">
            <mat-hint align="end">{{fsurname.value.length}}/20</mat-hint>
            <mat-error *ngIf="employeeForm.controls['fristSurname'].hasError('invalidName')">
                Special characters not allowed!
            </mat-error>
        </mat-form-field>
        <mat-form-field class="form__item" appearance="fill" hintLabel="Max 20 characters">
            <mat-label>Second surname</mat-label>
            <input #ssurname matInput maxlength="20" formControlName="secondSurname">
            <mat-hint align="end">{{ssurname.value.length}}/20</mat-hint>
            <mat-error *ngIf="employeeForm.controls['secondSurname'].hasError('invalidName')">
                Special characters not allowed!
            </mat-error>
        </mat-form-field>
        <mat-form-field class="form__item" appearance="fill" hintLabel="Max 20 characters">
            <mat-label>Name</mat-label>
            <input #name matInput maxlength="20" formControlName="name">
            <mat-hint align="end">{{name.value.length}}/20</mat-hint>
            <mat-error *ngIf="employeeForm.controls['name'].hasError('invalidName')">
                Special characters not allowed!
            </mat-error>
        </mat-form-field>
        <mat-form-field class="form__item" appearance="fill" hintLabel="Max 50 characters">
            <mat-label>Other names</mat-label>
            <input #othername matInput maxlength="50" formControlName="otherNames">
            <mat-hint align="end">{{othername.value.length}}/50</mat-hint>
            <mat-error *ngIf="employeeForm.controls['otherNames'].hasError('invalidName')">
                Special characters not allowed!
            </mat-error>
        </mat-form-field>
        <mat-form-field class="form__item" appearance="fill">
            <mat-label>Country of employment</mat-label>
            <mat-select formControlName="country">
                <mat-option value="Colombia">Colombia</mat-option>
                <mat-option value="USA">USA</mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field class="form__item"  appearance="fill">
            <mat-label>Registration date</mat-label>
            <input matInput [matDatepicker]="myDatepicker" formControlName="registrationDate">
            <mat-datepicker-toggle matSuffix [for]="myDatepicker"></mat-datepicker-toggle>
            <mat-datepicker #myDatepicker ></mat-datepicker>
            <mat-hint>DD/MM/YYYY</mat-hint>
          </mat-form-field>
        <mat-form-field class="form__item" appearance="fill">
            <mat-label>Identification type</mat-label>
            <mat-select formControlName="idType" >
                <mat-option *ngFor="let idType of idTypes" [value]="idType.id">{{idType.description}}</mat-option>
            </mat-select>
        </mat-form-field>
        <mat-form-field class="form__item" appearance="fill">
            <mat-label>Area</mat-label>
            <mat-select formControlName="area">
                <mat-option *ngFor="let area of areas" [value]="area.id">{{area.description}}</mat-option>
            </mat-select>
        </mat-form-field>
    </div>
    <div class="text-end">
        <button type="button" class="default-button" (click)="goBack()"><i class="fa-solid fa-arrow-left"></i> Go back</button>
        <button type="button" class="button" (click)="save()"><i class="fa-regular fa-floppy-disk"></i> Save</button>
    </div>
</form>
